OpenTTD Source: SlGamelogGrfcompat Class Reference

OpenTTD Source 14.0-beta1

Public Member Functions | Static Public Attributes
SlGamelogGrfcompat Class Reference
Inheritance diagram for SlGamelogGrfcompat:

## Public Member Functions
void | Save (LoggedChange *lc) const override
void | Load (LoggedChange *lc) const override
void | LoadCheck (LoggedChange *lc) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlGamelogGrfcompat, LoggedChange >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save ([[maybe_unused]] LoggedChange *object) const
void | Save (void *object) const override
virtual void | Load ([[maybe_unused]] LoggedChange *object) const
void | Load (void *object) const override
virtual void | LoadCheck ([[maybe_unused]] LoggedChange *object) const
void | LoadCheck (void *object) const override
virtual void | FixPointers ([[maybe_unused]] LoggedChange *object) const
void | FixPointers (void *object) const override
Public Member Functions inherited from SaveLoadHandler
virtual void | Save ([[maybe_unused]] void *object) const
| Save the object to disk. More...
virtual void | Load ([[maybe_unused]] void *object) const
| Load the object from disk. More...
virtual void | LoadCheck ([[maybe_unused]] void *object) const
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers ([[maybe_unused]] void *object) const
| A post-load callback to fix SL_REF integers into pointers. More...
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _gamelog_grfcompat_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 172 of file gamelog_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlGamelogGrfcompat::description[]
| inlinestatic

Initial value:
= {
SLE_VARNAME(LoggedChangeGRFChanged, grfid, "grfcompat.grfid", SLE_UINT32 ),
SLE_ARRNAME(LoggedChangeGRFChanged, md5sum, "grfcompat.md5sum", SLE_UINT8, 16),
}

Definition at line 174 of file gamelog_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/gamelog_sl.cpp

LoggedChangeGRFChanged
Definition: gamelog_internal.h:87
SLE_ARRNAME
#define SLE_ARRNAME(base, variable, name, type, length)
Storage of fixed-size array of SL_VAR elements in every version of a savegame.
Definition: saveload.h:984
SLE_VARNAME
#define SLE_VARNAME(base, variable, name, type)
Storage of a variable in every version of a savegame.
Definition: saveload.h:957